import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { LrcLine } from '../constant';
interface Props {
    /** lrc string */
    lrc: string;
    /** lrc line render */
    lineRenderer: ({ lrcLine, index, active, }: {
        lrcLine: LrcLine;
        index: number;
        active: boolean;
    }) => React.ReactNode;
    /** audio currentTime, millisecond */
    currentTime?: number;
    /** whether auto scroll  */
    autoScroll?: boolean;
    /** auto scroll after user scroll */
    autoScrollAfterUserScroll?: number;
    /** when current line change */
    onCurrentLineChange?: ({ index, lrcLine, }: {
        index: number;
        lrcLine: LrcLine | null;
    }) => void;
    style: StyleProp<ViewStyle>;
    height: number;
    lineHeight: number;
    activeLineHeight: number;
    [key: string]: any;
}
declare const Lrc: React.ForwardRefExoticComponent<Pick<Props, React.ReactText> & React.RefAttributes<{
    scrollToCurrentLine: () => void;
    getCurrentLine: () => {
        index: number;
        lrcLine: LrcLine | null;
    };
}>>;
export default Lrc;
